from fastapi import APIRouter
from .test_template.route import test_template_route


def get_routes() -> list[APIRouter]:
    return [test_template_route]


def get_safe_endpoint_urls() -> list[tuple[str, str]]:
    return [
        ("/", "GET"),
        ("/docs", "GET"),
        ("/redoc", "GET"),
        ("/openapi.json", "GET"),
        ("/auth/register", "POST"),
        ("/auth/login", "POST"),
        ("/metrics", "GET"),
        ("/test/template", "GET"),
        ("/test/template", "POST"),
    ]
